//
//  CalculatorBrainExt.m
//  Calculator
//
//  Created by Li Li on 9/12/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "CalculatorBrainExt.h"
#import <objc/runtime.h>

@implementation CalculatorBrain(ArithmeticExpressionAdditions)
@dynamic arithExp;

- (NSMutableString*)arithExp {
    if(objc_getAssociatedObject(self,arithExpKey)==nil){
        NSMutableString *str= [[NSMutableString alloc]
                               initWithFormat:@"%@", @"RPN arith expression: "];
        objc_setAssociatedObject(self, arithExpKey, str, OBJC_ASSOCIATION_RETAIN);
    }
    return objc_getAssociatedObject(self, arithExpKey);
}

- (void)setArithExp:(NSString*)newExpression {
    objc_setAssociatedObject(self, arithExpKey, newExpression, OBJC_ASSOCIATION_RETAIN);
}

- (void) appendOp:(NSString*)str {
    [self willChangeValueForKey:@"arithExp"]; //need this because it is a class extension??
    [self.arithExp appendString:str];
    [self didChangeValueForKey:@"arithExp"];
}

@end
