<?php

// Put your device token here (without spaces):
//My token is: <f05571e4 be60a4e1 1524d76e 43668621 28f43052 2fb470c4 6fc6810f ffb07af7>
//f05571e4 be60a4e1 1524d76e 43668621 28f43052 2fb470c4 6fc6810f ffb07af7
$deviceToken = 'f05571e4be60a4e11524d76e4366862128f430522fb470c46fc6810fffb07af7';
// Put your private key's passphrase here:
$passphrase = 'socialcalculator';

// Put your alert message here:
$message = 'In class: Push notification from the server of social calculator!';

////////////////////////////////////////////////////////////////////////////////

$ctx = stream_context_create();
stream_context_set_option($ctx, 'ssl', 'local_cert', 'socialcal.pem');
stream_context_set_option($ctx, 'ssl', 'passphrase', $passphrase);

// Open a connection to the APNS server
$fp = stream_socket_client(
	'ssl://gateway.sandbox.push.apple.com:2195', $err,
	$errstr, 60, STREAM_CLIENT_CONNECT|STREAM_CLIENT_PERSISTENT, $ctx);

if (!$fp)
	exit("Failed to connect: $err $errstr" . PHP_EOL);

echo 'Connected to APNS' . PHP_EOL;

// Create the payload body
$body['aps'] = array(
	'alert' => $message,
	'sound' => 'default',
	'badge' => 50
	);

// Encode the payload as JSON
$payload = json_encode($body);

// Build the binary notification
$msg = chr(0) . pack('n', 32) . pack('H*', $deviceToken) . pack('n', strlen($payload)) . $payload;

// Send it to the server
$result = fwrite($fp, $msg, strlen($msg));

if (!$result)
	echo 'Message not delivered' . PHP_EOL;
else
	echo 'Message successfully delivered' . PHP_EOL;

// Close the connection to the server
fclose($fp);
